package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdAccperiod;
import com.dhcc.finance.main.domain.CwBdAccperiodExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdAccperiodMapper {
    long countByExample(CwBdAccperiodExample example);

    int deleteByExample(CwBdAccperiodExample example);

    int deleteByPrimaryKey(String pkAccperiod);

    int insert(CwBdAccperiod record);

    int insertSelective(CwBdAccperiod record);

    List<CwBdAccperiod> selectByExample(CwBdAccperiodExample example);

    CwBdAccperiod selectByPrimaryKey(String pkAccperiod);

    int updateByExampleSelective(@Param("record") CwBdAccperiod record, @Param("example") CwBdAccperiodExample example);

    int updateByExample(@Param("record") CwBdAccperiod record, @Param("example") CwBdAccperiodExample example);

    int updateByPrimaryKeySelective(CwBdAccperiod record);

    int updateByPrimaryKey(CwBdAccperiod record);
    /**
     * 查询所有年份
     * @return List<CwBdAccperiod>
     *@author huangpeng
     *@date 2019年3月27日 下午2:03:11
     *@修改日志：
     */
    List<CwBdAccperiod> selectCwBdAccperiod();
}